search cancel

PAM REST API: Cannot update user roles

book

Article ID: 187762

calendar_today

Updated On:

Products

CA Privileged Access Manager (PAM)

Issue/Introduction

Cannot update user roles when using the RESP API.
The following errors may be returned:
 
=> status 500 -- internal server error
=> status 400 -- Bad request
 
Other fields of the user data can be successfully updated.
Problem occurs even if the API Key being used has the role 'Global Administrator' and it belongs to the 'super' user.

Environment

Product: Layer 7 Privileged Access Manager
Version: 3.2.6.35

Resolution

Known problem in 3.2.6.35 as it was reproduced in our labs.
As the PAM versions 3.2.x will go out of support on April 24th 2020 we recommend upgrading to a version 3.x which is not impacted by this problem.